<?php
$db = mysqli_connect('localhost', 'root', '', 'galeria');

?>
<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Galeria</title>
    <link rel="stylesheet" href="styl.css">
</head>
<body>
<header>
    <h1>Zdjęcia</h1>
</header>
<!--<div>-->
    <div id="left">
        <h2>Tematy zdjęć</h2>
        <ol>
            <li>Zwierzęta</li>
            <li>Krajobrazy</li>
            <li>Miasta</li>
            <li>Przyroda</li>
            <li>Samochody</li>
        </ol>
    </div>
    <div id="center">
        <?php
        $query = "SELECT tytul,plik,polubienia,imie,nazwisko FROM zdjecia JOIN autorzy ON autorzy_id = autorzy.id ORDER BY nazwisko;";
        $result = mysqli_query($db, $query);
        while ($row = mysqli_fetch_assoc($result)) {
            echo "<div class='php1_block'><img src='$row[plik]' alt='zdjęcie'><h3>$row[tytul]</h3>";
            if ($row['polubienia'] > 40) {
                echo "<p>Autor: $row[imie] $row[nazwisko].<br> Wiele osób polubiło ten obraz</p>";
            } else {
                echo "<p>Autor: $row[imie] $row[nazwisko]</p>";
            }
            echo "<a href='$row[plik]'>Pobierz</a></div>";
        }
        ?>
    </div>
    <div id="right">
        <h2>Najbardziej lubiane</h2>
        <?php
        $query2 = "SELECT tytul,plik FROM zdjecia WHERE polubienia >= 100;";
        $result = mysqli_query($db, $query2);
        $row = mysqli_fetch_assoc($result);
        echo "<img src='$row[plik]' alt='$row[tytul]'>";
        ?>
        <strong>Zobacz wszystkie nasze zdjęcia</strong>
    </div>
<!--</div>-->
<footer>
    Stronę wykonał: Jakub Grzegorczyk 3p
</footer>
</body>
</html>
<?php
mysqli_close($db);
